/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow;

import com.opensymphony.module.user.User;

import java.util.Date;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.3 $
 */
public class HistoryStep implements java.io.Serializable
{
    private String stepName;
    private int stepId;
    private String actionName;
    private int actionId;
    private User owner;
    private Date startDate;
    private Date finishDate;
    private String status;

    public HistoryStep(String stepName, int stepId, String actionName, int actionId, User owner, Date startDate, Date finishDate, String status)
    {
        this.stepName = stepName;
        this.actionName = actionName;
        this.owner = owner;
        this.startDate = startDate;
        this.finishDate = finishDate;
        this.status = status;
        this.stepId = stepId;
        this.actionId = actionId;
    }

    public String getStepName()
    {
        return stepName;
    }

    public String getActionName()
    {
        return actionName;
    }

    public User getOwner()
    {
        return owner;
    }

    public Date getStartDate()
    {
        return startDate;
    }

    public Date getFinishDate()
    {
        return finishDate;
    }

    public String getStatus()
    {
        return status;
    }

    public int getStepId()
    {
        return stepId;
    }

    public int getActionId()
    {
        return actionId;
    }
}

