/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: Apr 29, 2002
 * Time: 10:46:56 PM
 */
package com.opensymphony.workflow;

import java.io.PrintStream;
import java.io.PrintWriter;

public class InternalWorkflowException extends RuntimeException {
    private Exception rootCause;

    public InternalWorkflowException() {
    }

    public InternalWorkflowException(String s) {
        super(s);
    }

    public InternalWorkflowException(String s, Exception rootCause) {
        super(s);
        this.rootCause = rootCause;
    }

    public InternalWorkflowException(Exception rootCause) {
        this.rootCause = rootCause;
    }

    public Exception getRootCause() {
        return rootCause;
    }

    public void printStackTrace() {
        super.printStackTrace();
        if(rootCause != null) {
            synchronized(System.err) {
                System.err.println("\nRoot cause:");
                rootCause.printStackTrace();
            }
        }
    }

  public void printStackTrace(PrintStream s) {
      super.printStackTrace(s);
      if(rootCause != null) {
          synchronized(s) {
              s.println("\nRoot cause:");
              rootCause.printStackTrace(s);
          }
      }
  }

  public void printStackTrace(PrintWriter s) {
      super.printStackTrace(s);
      if(rootCause != null) {
          synchronized(s) {
              s.println("\nRoot cause:");
              rootCause.printStackTrace(s);
          }
      }
  }
}
