/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow;

import java.util.ArrayList;
import java.util.List;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.5 $
 */
public class InvalidInputException extends Exception
{
    private List names = new ArrayList(0);
    private List errors = new ArrayList(0);
    private List genericErrors = new ArrayList(0);

    public InvalidInputException()
    {
        super();
    }

    public InvalidInputException(String error)
    {
        super(error);
        genericErrors.add(error);
    }

    public InvalidInputException(String name, String error)
    {
        super();
        names.add(name);
        errors.add(error);
    }

    public void addError(String error)
    {
        genericErrors.add(error);
    }

    public List getGenericErrors()
    {
        return genericErrors;
    }

    public List getNames()
    {
        return names;
    }

    public List getErrors()
    {
        return errors;
    }

    public void addError(String name, String error)
    {
        names.add(name);
        errors.add(error);
    }
}
