/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.ejb;

import com.opensymphony.util.Logger;
import com.opensymphony.workflow.*;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.28 $
 */
public class WorkflowEJB extends AbstractWorkflow implements SessionBean {
    private SessionContext context;
    private static final Logger log = new Logger(WorkflowEJB.class);

    public void ejbCreate() throws CreateException {
        loadConfig();
    }

    public void ejbPostCreate() throws CreateException {
    }

    public void setSessionContext(SessionContext context) {
        this.context = context;
        super.context = new EJBWorkflowContext(context);
    }

    public void ejbRemove() {
    }

    public void ejbActivate() {
    }

    public void ejbPassivate() {
    }
}
