package com.opensymphony.workflow.loader;

import java.util.Properties;

/**
 * @author Hani Suleiman
 * Date: May 10, 2002
 * Time: 11:17:06 AM
 */
public abstract class AbstractWorkflowFactory {

  protected Properties properties = new Properties();

  public Properties getProperties() {
    return properties;
  }

  public final void init(Properties p) {
    this.properties = p;
  }

  public void initDone() throws Exception {
  }

  public abstract WorkflowDescriptor getWorkflow(String name);
}
