/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;

import org.w3c.dom.Element;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class ActionDescriptor extends BaseActionDescriptor
{
    private String name;
    private RestrictionDescriptor restriction;

    public ActionDescriptor(Element action)
    {
        super(action);

        name = action.getAttribute("name");
        restriction = new RestrictionDescriptor((Element) action.getElementsByTagName("restrict-to").item(0));
    }

    public String getName()
    {
        return name;
    }

    public RestrictionDescriptor getRestriction()
    {
        return restriction;
    }
}
