/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;


import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.HashMap;


/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class FunctionDescriptor
{
    private String type;
    private String location;
    private HashMap args;
    private String contents;

    public FunctionDescriptor(Element function)
    {
        type = function.getAttribute("type");
        location = function.getAttribute("location");

        if ("beanshell".equals(type))
        {
            contents = function.getChildNodes().item(0).getNodeValue();
        }
        else
        {
            this.args = new HashMap();

            NodeList args = function.getElementsByTagName("arg");
            for (int l = 0; l < args.getLength(); l++)
            {
                Element arg = (Element) args.item(l);
                this.args.put(arg.getAttribute("name"), arg.getChildNodes().item(0).getNodeValue());
            }
        }
    }

    public String getType()
    {
        return type;
    }

    public String getLocation()
    {
        return location;
    }

    public HashMap getArgs()
    {
        return args;
    }

    public String getContents()
    {
        return contents;
    }
}
