/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;


import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.ArrayList;
import java.util.List;


/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class InitialStepDescriptor extends BaseActionDescriptor
{
    private List allowableGroups;

    public InitialStepDescriptor(Element initialStep)
    {
        super(initialStep);

        this.allowableGroups = new ArrayList();
        // set up groups - REQUIRED
        Element allowableGroups = (Element) initialStep.getElementsByTagName("allowable-groups").item(0);
        NodeList groups = allowableGroups.getElementsByTagName("group");

        for (int k = 0; k < groups.getLength(); k++)
        {
            Element group = (Element) groups.item(k);
            this.allowableGroups.add(group.getChildNodes().item(0).getNodeValue());
        }
    }

    public List getAllowableGroups()
    {
        return allowableGroups;
    }
}
