/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.loader;

import org.w3c.dom.Element;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.2 $
 */
public class ValidatorDescriptor
{
    private String type;
    private String location;
    private String contents;

    public ValidatorDescriptor(Element validator)
    {
        type = validator.getAttribute("type");
        location = validator.getAttribute("location");
        if ("beanshell".equals(type))
        {
            contents = validator.getChildNodes().item(0).getNodeValue();
        }
    }

    public String getType()
    {
        return type;
    }

    public String getLocation()
    {
        return location;
    }

    public String getContents() {
        return contents;
    }
}
