/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: Apr 29, 2002
 * Time: 11:22:48 PM
 */
package com.opensymphony.workflow.ofbiz;

import com.opensymphony.workflow.*;
import com.opensymphony.workflow.persistence.Persistence;
import com.opensymphony.workflow.persistence.ofbiz.OfbizPersistence;
import org.ofbiz.core.entity.TransactionUtil;
import org.ofbiz.core.entity.GenericTransactionException;

import java.util.Map;

public class OfbizWorkflow extends AbstractWorkflow {
    public OfbizWorkflow(String caller) {
        super.context = new OfbizWorkflowContext(caller);
        loadConfig();
    }

    public void doAction(long id, int actionId, Map inputs) throws InvalidInputException {
        try {
            TransactionUtil.begin();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
        super.doAction(id, actionId, inputs);
        try {
            TransactionUtil.commit();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
    }

    public long createEntry(String workflowName) {
        try {
            TransactionUtil.begin();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
        long result =  super.createEntry(workflowName);

        try {
            TransactionUtil.commit();

            return result;
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
    }

    public void initialize(long id, int initialState, Map inputs) throws InvalidRoleException, InvalidInputException {
        try {
            TransactionUtil.begin();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
        super.initialize(id, initialState, inputs);
        try {
            TransactionUtil.commit();
        } catch (GenericTransactionException e) {
            throw new InternalWorkflowException(e);
        }
    }

    protected Persistence getPersistence() {
        // hardcoded to only using Ofbiz persistence
        return new OfbizPersistence(super.context);
    }
}
