/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence;

import com.opensymphony.workflow.persistence.ejb.EJBPersistence;
import com.opensymphony.workflow.persistence.ofbiz.OfbizPersistence;
import com.opensymphony.workflow.config.ConfigLoader;
import com.opensymphony.workflow.WorkflowContext;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.6 $
 */
public class PersistenceFactory
{
    public static Persistence getPersistence(WorkflowContext context)
    {
        String type = ConfigLoader.persistence;

        if ("ofbiz".equalsIgnoreCase(type))
        {
            return new OfbizPersistence(context);
        }

        return new EJBPersistence();
    }
}
