/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence;

import com.opensymphony.module.user.User;

import java.util.Date;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.3 $
 */
public interface Step
{
    public int getActionId();

    public long getEntryId();

    public Date getFinishDate();

    public long getId();

    public User getOwner();

    public Step getPrevious();

    public Date getStartDate();

    public int getStepId();

    public boolean isFinished();

    public boolean isQueued();

    public boolean isStatus(int status);

    public boolean isUnderway();

    /**
     * markUnderway MUST be called first
     */
    public void markFinished();

    public void markUnderway(User owner);

    public void setActionId(int id);
}
