/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence;

import com.opensymphony.module.propertyset.PropertySet;
import com.opensymphony.module.user.User;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.3 $
 */
public interface WorkflowEntry
{
    public void finishStep(int stepId, int actionId, User owner);

    public Step getCurrentStep();

    public long getId();

    public PropertySet getPropertySet();

    public String getWorkflowName();

    public void initializeStep(int stepId);

    public void initializeStep(int stepId, User owner);

    public void newStep(int stepId, int actionId);

    public void newStep(int stepId, int actionId, User owner);
}
