/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence.ejb.entry;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public class WorkflowEntryCMP
		extends com.opensymphony.workflow.persistence.ejb.entry.WorkflowEntryEJB
		implements javax.ejb.EntityBean
{
	public Long id;
	public Long currentStepId;
	public String workflowName;

	public Long getId()
	{
		return this.id;
	}

	public void setId(Long id)
	{

		this.id = id;

		makeDirty();

	}

	public Long getCurrentStepId()
	{
		return this.currentStepId;
	}

	public void setCurrentStepId(Long currentStepId)
	{

		this.currentStepId = currentStepId;

		makeDirty();

	}

	public String getWorkflowName()
	{
		return this.workflowName;
	}

	public void setWorkflowName(String workflowName)
	{

		this.workflowName = workflowName;

		makeDirty();

	}

	public boolean isModified()
	{
		return dirty;
	}

	protected void makeDirty()
	{
		dirty = true;
	}

	protected void makeClean()
	{
		dirty = false;
	}

	private boolean dirty;

	static final long serialVersionUID = 1494745017415067767L;

	public void ejbLoad() throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		super.ejbLoad();

		makeClean();
	}

	public void ejbStore() throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		if (isModified())
		{
			super.ejbStore();
		}

		makeClean();
	}

	public void ejbActivate() throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		super.ejbActivate();
	}

	public void ejbPassivate() throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		super.ejbPassivate();
	}

	public void setEntityContext(javax.ejb.EntityContext ctx) throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		super.setEntityContext(ctx);
	}

	public void unsetEntityContext() throws javax.ejb.EJBException, java.rmi.RemoteException
	{
		super.unsetEntityContext();
	}

	public void ejbRemove() throws javax.ejb.EJBException, java.rmi.RemoteException, javax.ejb.RemoveException
	{
		super.ejbRemove();

	}

}
