/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence.ejb.entry;

import com.opensymphony.workflow.persistence.ejb.step.StepRemote;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public interface WorkflowEntryRemote extends javax.ejb.EJBObject
{
	public void finishStep(long stepId, long actionId, com.opensymphony.module.user.User owner) throws java.rmi.RemoteException;

	public StepRemote getCurrentStep() throws java.rmi.RemoteException;

	public Long getId() throws java.rmi.RemoteException;

	public com.opensymphony.module.propertyset.PropertySet getPropertySet() throws java.rmi.RemoteException;

	public String getWorkflowName() throws java.rmi.RemoteException;

	public void initializeStep(long stepId) throws java.rmi.RemoteException;

	public void initializeStep(long stepId, com.opensymphony.module.user.User owner) throws java.rmi.RemoteException;

	public void newStep(long stepId, long actionId) throws java.rmi.RemoteException;

	public void newStep(long stepId, long actionId, com.opensymphony.module.user.User owner) throws java.rmi.RemoteException;

}
