/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence.ejb.step;

import java.lang.*;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.3 $
 */
public class StepCMP
   extends com.opensymphony.workflow.persistence.ejb.step.StepEJB
   implements javax.ejb.EntityBean
{

   public java.lang.Long id;
   public java.lang.Long stepId;
   public java.lang.Integer status;
   public java.sql.Timestamp startDate;
   public java.sql.Timestamp finishDate;
   public java.lang.Long actionId;
   public java.lang.String ownerName;
   public java.lang.Long previousId;
   public java.lang.Long entryId;

   public java.lang.Long getId()
   {
      return this.id;
   }

   public void setId( java.lang.Long id )
   {

      this.id = id;

      makeDirty();

   }

   public java.lang.Long getStepId()
   {
      return this.stepId;
   }

   public void setStepId( java.lang.Long stepId )
   {

      this.stepId = stepId;

      makeDirty();

   }

   public java.lang.Integer getStatus()
   {
      return this.status;
   }

   public void setStatus( java.lang.Integer status )
   {

      this.status = status;

      makeDirty();

   }

   public java.sql.Timestamp getStartDate()
   {
      return this.startDate;
   }

   public void setStartDate( java.sql.Timestamp startDate )
   {

      this.startDate = startDate;

      makeDirty();

   }

   public java.sql.Timestamp getFinishDate()
   {
      return this.finishDate;
   }

   public void setFinishDate( java.sql.Timestamp finishDate )
   {

      this.finishDate = finishDate;

      makeDirty();

   }

   public java.lang.Long getActionId()
   {
      return this.actionId;
   }

   public void setActionId( java.lang.Long actionId )
   {

      this.actionId = actionId;

      makeDirty();

   }

   public java.lang.String getOwnerName()
   {
      return this.ownerName;
   }

   public void setOwnerName( java.lang.String ownerName )
   {

      this.ownerName = ownerName;

      makeDirty();

   }

   public java.lang.Long getPreviousId()
   {
      return this.previousId;
   }

   public void setPreviousId( java.lang.Long previousId )
   {

      this.previousId = previousId;

      makeDirty();

   }

   public java.lang.Long getEntryId()
   {
      return this.entryId;
   }

   public void setEntryId( java.lang.Long entryId )
   {

      this.entryId = entryId;

      makeDirty();

   }

   public boolean isModified()
   {
      return dirty;
   }

   protected void makeDirty()
   {
      dirty = true;
   }

   protected void makeClean()
   {
      dirty = false;
   }

   private boolean dirty;

   static final long serialVersionUID = 2022577564773190034L;

   public void ejbLoad() throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      super.ejbLoad();

      makeClean();
   }

   public void ejbStore() throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      if (isModified())
      {
         super.ejbStore();
      }

      makeClean();
   }

   public void ejbActivate() throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      super.ejbActivate();
   }

   public void ejbPassivate() throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      super.ejbPassivate();
   }

   public void setEntityContext(javax.ejb.EntityContext ctx) throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      super.setEntityContext(ctx);
   }

   public void unsetEntityContext() throws javax.ejb.EJBException, java.rmi.RemoteException
   {
      super.unsetEntityContext();
   }

   public void ejbRemove() throws javax.ejb.EJBException, java.rmi.RemoteException, javax.ejb.RemoveException
   {
      super.ejbRemove();

   }

}
