/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence.ejb.step;

import java.lang.*;
import com.opensymphony.module.user.EntityNotFoundException;
import com.opensymphony.module.user.User;
import com.opensymphony.module.user.UserManager;
import com.opensymphony.util.EJBUtils;
import com.opensymphony.ejb.EntityAdapter;
import javax.ejb.CreateException;
import java.util.Date;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.1 $
 */
public interface StepHome
   extends javax.ejb.EJBHome
{
   public static final String COMP_NAME="java:comp/env/ejb/Step";
   public static final String JNDI_NAME="Step";

   /**
    * Create new step with no previous step.
    * This new step is marked as QUEUED.
    */
   public com.opensymphony.workflow.persistence.ejb.step.StepRemote create(java.lang.Long entryId,long stepId) throws java.rmi.RemoteException,javax.ejb.CreateException;
   /**
    * Create a new step with no previous step.
    * This new step is marked as UNDERWAY.
    */
   public com.opensymphony.workflow.persistence.ejb.step.StepRemote create(java.lang.Long entryId,long stepId,com.opensymphony.module.user.User owner) throws java.rmi.RemoteException,javax.ejb.CreateException;
   /**
    * Create a new step with an REQUIRED previous step that MUST be marked finished.
    * This new step is marked as queued.
    */
   public com.opensymphony.workflow.persistence.ejb.step.StepRemote create(com.opensymphony.workflow.persistence.ejb.step.StepRemote prev,long stepId,long actionId) throws java.rmi.RemoteException,javax.ejb.CreateException;
   /**
    * Create a new step with a REQUIRED previous step that MUST be marked finished.
    * This new step is marked as UNDERWAY
    */
   public com.opensymphony.workflow.persistence.ejb.step.StepRemote create(com.opensymphony.workflow.persistence.ejb.step.StepRemote prev,long stepId,long actionId,com.opensymphony.module.user.User owner) throws java.rmi.RemoteException,javax.ejb.CreateException;

   public com.opensymphony.workflow.persistence.ejb.step.StepRemote create(com.opensymphony.workflow.persistence.ejb.step.StepRemote prev,long actionId) throws java.rmi.RemoteException,javax.ejb.CreateException;

   public com.opensymphony.workflow.persistence.ejb.step.StepRemote findByPrimaryKey(java.lang.Long pk)
      throws java.rmi.RemoteException,javax.ejb.FinderException;

}
