/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.persistence.ejb.step;

/**
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.4 $
 */
public interface StepRemote extends javax.ejb.EJBObject
{

	public java.lang.Long getActionId() throws java.rmi.RemoteException;

	public java.lang.Long getEntryId() throws java.rmi.RemoteException;

	public java.sql.Timestamp getFinishDate() throws java.rmi.RemoteException;

	public java.lang.Long getId() throws java.rmi.RemoteException;

	public com.opensymphony.module.user.User getOwner() throws java.rmi.RemoteException;

	public com.opensymphony.workflow.persistence.ejb.step.StepRemote getPrevious() throws java.rmi.RemoteException;

	public java.sql.Timestamp getStartDate() throws java.rmi.RemoteException;

	public java.lang.Long getStepId() throws java.rmi.RemoteException;

	public boolean isFinished() throws java.rmi.RemoteException;

	public boolean isQueued() throws java.rmi.RemoteException;

	public boolean isStatus(int status) throws java.rmi.RemoteException;

	public boolean isUnderway() throws java.rmi.RemoteException;

	/**
	 * markUnderway MUST be called first
	 */
	public void markFinished() throws java.rmi.RemoteException;

	public void markUnderway(com.opensymphony.module.user.User owner) throws java.rmi.RemoteException;

	public void setActionId(java.lang.Long id) throws java.rmi.RemoteException;

}
