/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: May 22, 2002
 * Time: 12:04:32 PM
 */
package com.opensymphony.workflow.soap;

import com.opensymphony.workflow.*;
import com.opensymphony.workflow.basic.BasicWorkflow;
import com.opensymphony.module.propertyset.PropertySet;

import java.util.List;
import java.util.Map;

import electric.util.Context;

import javax.servlet.http.HttpServletRequest;

public class BasicSOAPWorkflow implements Workflow {
    private String getRemoteUser() {
        HttpServletRequest request = (HttpServletRequest) Context.thread().getProperty("httpRequest");
        return request.getRemoteUser();
    }

    public long createEntry(String workflowName) {
        return new BasicWorkflow(getRemoteUser()).createEntry(workflowName);
    }

    public void initialize(long id, int initialState, Map inputs) throws InvalidRoleException, InvalidInputException {
       new BasicWorkflow(getRemoteUser()).initialize(id, initialState, inputs);
    }

    public boolean isInitialized(long id) {
        return new BasicWorkflow(getRemoteUser()).isInitialized(id);
    }

    public boolean canInitialize(String workflowName, int initialState) {
        return new BasicWorkflow(getRemoteUser()).canInitialize(workflowName, initialState);
    }

    public int[] getAvailableActions(long id) {
        return new BasicWorkflow(getRemoteUser()).getAvailableActions(id);
    }

    public void doAction(long id, int actionId, Map inputs) throws InvalidInputException {
        new BasicWorkflow(getRemoteUser()).doAction(id, actionId, inputs);
    }

    public HistoryStep getCurrentStatus(long id) {
        return new BasicWorkflow(getRemoteUser()).getCurrentStatus(id);
    }

    public WorkflowHistory getHistory(long id) {
        return new BasicWorkflow(getRemoteUser()).getHistory(id);
    }

    public List getSecurityPermissions(long id) {
        return new BasicWorkflow(getRemoteUser()).getSecurityPermissions(id);
    }

    public int[] getActionableSteps(String workflowName) {
        return new BasicWorkflow(getRemoteUser()).getActionableSteps(workflowName);
    }

    public String getActionName(long id, int actionId) {
        return new BasicWorkflow(getRemoteUser()).getActionName(id, actionId);
    }

    public String getStepName(long id, int stepId) {
        return new BasicWorkflow(getRemoteUser()).getStepName(id, stepId);
    }

    public PropertySet getPropertySet(long id) {
        return new BasicWorkflow(getRemoteUser()).getPropertySet(id);
    }

    public void executeTriggerFunction(long id, int triggerId) {
        new BasicWorkflow(getRemoteUser()).executeTriggerFunction(id, triggerId);
    }
}
