/*
 * Created by IntelliJ IDEA.
 * User: plightbo
 * Date: May 22, 2002
 * Time: 4:10:43 PM
 */
package com.opensymphony.workflow.timer;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.JobDataMap;
import electric.util.Context;
import electric.registry.Registry;
import electric.registry.RegistryException;
import com.opensymphony.workflow.Workflow;

public class WorkflowJob implements Job {
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            JobDataMap data = jobExecutionContext.getJobDetail().getJobDataMap();
            long id = data.getLong("entryId");
            int triggerId = data.getInt("triggerId");
            String username = data.getString("username");
            String password = data.getString("password");
            Context context = new Context();
            context.setProperty( "authUser", username );
            context.setProperty( "authPassword", password );
            Workflow wf = (Workflow) Registry.bind(System.getProperty("osworkflow.soap.url", "http://localhost/example/glue/oswf.wsdl"), Workflow.class, context);
            wf.executeTriggerFunction(id, triggerId);
        } catch (RegistryException e) {
            e.printStackTrace();
        }
    }
}
