/*
 * This software is published under the terms of the OpenSymphony Software
 * License version 1.1, of which a copy has been included with this
 * distribution in the LICENSE.txt file.
 */
package com.opensymphony.workflow.util;

import com.opensymphony.workflow.FunctionProvider;
import com.opensymphony.workflow.WorkflowContext;

import java.util.Map;

/**
 * Sets the persistent variable "caller" to the current user executing an action.
 *
 * @author <a href="plightbo@users.sourceforge.net">Patrick Lightbody</a>
 * @version $Revision: 1.9 $
 */
public class Caller implements FunctionProvider
{
    public void execute(Map inputs, Map properties, Map variables)
    {
        WorkflowContext context = (WorkflowContext) variables.get("context");
        variables.put("caller", context.getCaller());
    }
}
